Skip to main content
GET
/
users
/
{identifier}
/
trophies
List user trophies
curl --request GET \
  --url https://teambattles.gg/api/v1/users/{identifier}/trophies \
  --header 'Authorization: Bearer <token>'
{
  "trophies": [
    {
      "id": "<string>",
      "trophyId": "<string>",
      "awardedAt": "<string>",
      "title": "<string>",
      "description": "<string>",
      "iconUrl": "<string>",
      "rarity": "<string>"
    }
  ],
  "count": 4503599627370495,
  "timestamp": "<string>"
}

Authorizations

Authorization
string
header
required

Send your API key as: Authorization: Bearer tb_

Path Parameters

identifier
string
required

Username or Convex user ID.

Response

User trophies.

Envelope containing trophies, count, and a response timestamp.

trophies
object[]
required
count
integer
required
Required range: 0 <= x <= 9007199254740991
timestamp
string
required

ISO 8601 timestamp.